Debian Bug report logs - #316099
Please give system hostname IP address 127.0.1.1

version graph

Package: netcfg; Maintainer for netcfg is Debian Install System Team <debian-boot@lists.debian.org>; Source for netcfg is src:netcfg.

Reported by: Thomas Hood <jdthood@yahoo.co.uk>

Date: Tue, 28 Jun 2005 12:48:03 UTC

Severity: normal

Merged with 267321

Fixed in version netcfg/1.13

Done: Frans Pop <fjp@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#316099; Package netcfg. Full text and rfc822 format available.

Acknowledgement sent to Thomas Hood <jdthood@aglu.demon.nl>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thomas Hood <jdthood@aglu.demon.nl>
To: submit@bugs.debian.org
Subject: Please give system hostname IP address 127.0.1.1
Date: Tue, 28 Jun 2005 14:38:04 +0200
Package: netcfg

As discussed in the debian-boot mailing list recently[0], netcfg should
(IMHO) never put the system hostname in /etc/hosts as an alias for
'localhost.localdomain'.  If the system hostname cannot be added
to /etc/hosts as the canonical hostname for a permanent real IP address

   127.0.0.1 localhost.localdomain localhost
   86.44.102.62  pengo

then it should be written as the canonical hostname for a 127.* address.

   127.0.0.1 localhost.localdomain localhost
   127.0.1.1 pengo

In the long run it may be better not to write the system hostname
into /etc/hosts at all.

[0]http://lists.debian.org/debian-boot/2005/06/msg00938.html
-- 
Thomas Hood





Merged 267321 316099. Request was from Thomas Hood <jdthood@aglu.demon.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Thomas Hood <jdthood@aglu.demon.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug submitter from Thomas Hood <jdthood@aglu.demon.nl> to Thomas Hood <jdthood@yahoo.co.uk>. Request was from Thomas Hood <jdthood@yahoo.co.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Frans Pop <fjp@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Thomas Hood <jdthood@yahoo.co.uk>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #16 received at 316099-close@bugs.debian.org (full text, mbox):

From: Frans Pop <fjp@debian.org>
To: 316099-close@bugs.debian.org
Subject: Bug#316099: fixed in netcfg 1.13
Date: Fri, 19 Aug 2005 13:17:41 -0700
Source: netcfg
Source-Version: 1.13

We believe that the bug you reported is fixed in the latest version of
netcfg, which is due to be installed in the Debian FTP archive:

netcfg-dhcp_1.13_i386.udeb
  to pool/main/n/netcfg/netcfg-dhcp_1.13_i386.udeb
netcfg-static_1.13_i386.udeb
  to pool/main/n/netcfg/netcfg-static_1.13_i386.udeb
netcfg_1.13.dsc
  to pool/main/n/netcfg/netcfg_1.13.dsc
netcfg_1.13.tar.gz
  to pool/main/n/netcfg/netcfg_1.13.tar.gz
netcfg_1.13_i386.udeb
  to pool/main/n/netcfg/netcfg_1.13_i386.udeb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 316099@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Frans Pop <fjp@debian.org> (supplier of updated netcfg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 19 Aug 2005 21:08:39 +0200
Source: netcfg
Binary: netcfg-static netcfg-dhcp netcfg
Architecture: source i386
Version: 1.13
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Frans Pop <fjp@debian.org>
Description: 
 netcfg     - Configure the network (udeb)
 netcfg-dhcp - Configure the network via DHCP (udeb)
 netcfg-static - Configure a static network (udeb)
Closes: 316099
Changes: 
 netcfg (1.13) unstable; urgency=low
 .
   [ Thomas Hood ]
   * If there is no permanent IP address with which the system hostname
     (i.e., that which is returned by the "hostname" command) can be
     associated in /etc/hosts then associate it with address 127.0.1.1
     rather than 127.0.0.1.  Associating the system hostname with the
     latter had the unwanted effect of making 'localhost.localdomain'
     the canonical hostname associated with the system hostname.
     That is, 'hostname --fqdn' returned 'localhost.localdomain'.
     (Closes: #316099)
     Programs that access local services at the IP address obtained by
     resolving the system hostname SHOULD NOT DO THIS, but those that
     do so will not be disappointed: most services that listen locally
     listen on all 127/8 addresses, not just on 127.0.0.1.
 .
   [ Joshua Kwan ]
   * Add a netcfg/dhcp_timeout template that can be preseeded in case
     a network or a set of machines are known to take a long time to
     acquire a DHCP lease.
   [ Colin Watson ]
   * Update GPL notices with the FSF's new address.
   * Reword a couple of templates to avoid unnecessary Debian "branding".
   * Close debconf client output when starting the DHCP client, to avoid the
     DHCP client holding it open.
 .
   [ Joey Hess ]
   * Add description for internal-usb template as used for usb net.
   * Fix fallthrough on missing template.
 .
   [ Frans Pop ]
   * Temporary workaround for #322723: use 'route add' instead of
     'ip route add' for both dynamic and static network configuration.
   * Fix error setting default value for new netcfg/dhcp_timeout template.
   * Add myself to uploaders
 .
   * Updated translations:
     - Czech (cs.po) by Miroslav Kure
     - Danish (da.po) by Claus Hindsgaul
     - German (de.po) by Holger Wansing
     - Greek (el.po) by Greek Translation Team
     - Esperanto (eo.po) by Serge Leblanc
     - Basque (eu.po)
     - Persian (fa.po) by Arash Bijanzadeh
     - French (fr.po) by Christian Perrier
     - Gallegan (gl.po) by Jacobo Tarrio
     - Indonesian (id.po) by Arief S Fitrianto
     - Italian (it.po) by Stefano Canepa
     - Japanese (ja.po) by Kenshi Muto
     - Lithuanian (lt.po) by Kęstutis Biliūnas
     - Macedonian (mk.po) by Georgi Stanojevski
     - Norwegian (nb.po) by Bjørn Steensrud
     - Polish (pl.po) by Bartosz Fenski
     - Portuguese (pt.po) by Miguel Figueiredo
     - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
     - Tagalog (tl.po) by Eric Pareja
     - Ukrainian (uk.po) by Eugeniy Meshcheryakov
     - Vietnamese (vi.po) by Clytie Siddall
     - Wolof (wo.po) by Mouhamadou Mamoune Mbacke
Files: 
 c33ace52485581c614ea49136cb00a1c 914 debian-installer optional netcfg_1.13.dsc
 72715073712469940816329daafcff75 232212 debian-installer optional netcfg_1.13.tar.gz
 ce8e4b3e49ce50e347357041747b87d1 186492 debian-installer optional netcfg_1.13_i386.udeb
 b19379304fd3000cd30e45541cd1c763 144202 debian-installer optional netcfg-dhcp_1.13_i386.udeb
 8177e056b7588934b2b601727889aadb 147484 debian-installer optional netcfg-static_1.13_i386.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFDBi8fgm/Kwh6ICoQRAkJqAJ4mEGHRx11xjWm6zzYVOrwUDCDjlgCeO+ZZ
p/J1rKya0abWdG+9Td00e4g=
=7snB
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 20:16:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 13:37:11 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.